Package com.io7m.idstore.server.service.templating

# Record Class IdFMEmailTestData

java.lang.Object
java.lang.Record
com.io7m.idstore.server.service.templating.IdFMEmailTestData

Record Components:
  `productTitle` - The product title
  `token` - The token

All Implemented Interfaces:
  `IdFMDataModelType`

public record IdFMEmailTestData(String productTitle, IdShortHumanToken token) extends Record implements IdFMDataModelType
Data for test email templates.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdFMEmailTestData(String productTitle, IdShortHumanToken token)`
  Data for test email templates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `productTitle()`
  Returns the value of the `productTitle` record component.
  `IdShortHumanToken`
  `token()`
  Returns the value of the `token` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Map<String,Object>`
  `toTemplateHash()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdFMEmailTestData

    public IdFMEmailTestData(String productTitle, IdShortHumanToken token)
    Data for test email templates.
    Parameters:
      `productTitle` - The product title
      `token` - The token

- ## Method Details

  - ### toTemplateHash

    public Map<String,Object> toTemplateHash()
    Specified by:
      `toTemplateHash` in interface `IdFMDataModelType`
    Returns:
      The data as a freemarker template hash

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### productTitle

    public String productTitle()
    Returns the value of the `productTitle` record component.
    Returns:
      the value of the `productTitle` record component

  - ### token

    public IdShortHumanToken token()
    Returns the value of the `token` record component.
    Returns:
      the value of the `token` record component